local base = require("Scene.LWUIModelShow.UIModelShowCtrl")
local KillZombieALKirovModel = BaseClass("KillZombieALKirovModel", base)
local OnCreate = function(self)
  base.OnCreate(self)
end
local OnDestroy = function(self)
  base.OnDestroy(self)
end
local DataDefine = function(self)
  base.DataDefine(self)
end
local DataDestroy = function(self)
  base.DataDestroy(self)
end
local OnEnable = function(self)
  base.OnEnable(self)
end
local OnDisable = function(self)
  base.OnDisable(self)
end
local ShowModel = function(self, nodePathStr)
  if not string.IsNullOrEmpty(nodePathStr) and self.worldModel then
    local node = self.worldModel:Find(nodePathStr)
    if node then
      node.gameObject:SetActive(true)
      self.modelNode = node.gameObject
    end
  end
end
local ChangeModelType = function(self, modelType, nodePathStr, showEffectList, animName, callback, normalizedTime)
  if self.modelType ~= modelType then
    self:DestroyModel()
    self.modelType = modelType
  end
  self:ReInit(nodePathStr, showEffectList, animName, callback, normalizedTime)
end
KillZombieALKirovModel.OnCreate = OnCreate
KillZombieALKirovModel.OnDestroy = OnDestroy
KillZombieALKirovModel.DataDefine = DataDefine
KillZombieALKirovModel.DataDestroy = DataDestroy
KillZombieALKirovModel.OnEnable = OnEnable
KillZombieALKirovModel.OnDisable = OnDisable
KillZombieALKirovModel.ShowModel = ShowModel
KillZombieALKirovModel.ChangeModelType = ChangeModelType
return KillZombieALKirovModel
